package com.gyee.frame.mapper.auto;

import com.gyee.frame.model.auto.Gyeeorgan;
import com.gyee.frame.model.auto.GyeeorganExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 *  GyeeorganMapper
 * @author gyee_自动生成
 * @email 1@qq.com
 * @date 2020-04-17 14:18:03
 */
public interface GyeeorganMapper {
      	   	      	      	      	      
    long countByExample(GyeeorganExample example);

    int deleteByExample(GyeeorganExample example);
		
    int deleteByPrimaryKey(String id);
		
    int insert(Gyeeorgan record);

    int insertSelective(Gyeeorgan record);

    List<Gyeeorgan> selectByExample(GyeeorganExample example);
		
    Gyeeorgan selectByPrimaryKey(String id);
		
    int updateByExampleSelective(@Param("record") Gyeeorgan record, @Param("example") GyeeorganExample example);

    int updateByExample(@Param("record") Gyeeorgan record, @Param("example") GyeeorganExample example); 
		
    int updateByPrimaryKeySelective(Gyeeorgan record);

    int updateByPrimaryKey(Gyeeorgan record);
    
    List<Gyeeorgan> queryOrganByUserId(String userid);
  	  	
}